#pragma once

#include <fstream>
#include <iostream>
#include <memory>
#include <ostream>
#include <string>

namespace compiler::config {
    extern bool debug;
    extern int optimize_level;
    extern bool print_ast;
    extern bool print_token;
    extern bool print_log;
    extern bool generate_assembly;
    extern std::unique_ptr<std::ifstream> input;
    extern std::unique_ptr<std::ofstream> output;
    extern std::string input_filename;

    void parse_args(int argc, char **argv);
}
