#include "tokens.h"
#include "../util/type.h"
#include <cstddef>
#include <string>
namespace compiler::frontend {
auto Token::get_name() const -> const std::string & { return name; }
auto Token::set_name(const std::string &name) -> void { this->name = name; }
auto Token::get_type() const -> type::TOKEN_TYPE { return type; }
auto Token::set_type(type::TOKEN_TYPE type) -> void { this->type = type; }
auto Token::get_start() const -> char const * { return start; }
auto Token::set_start(const char *start) -> void { this->start = start; }
auto Token::get_length() const -> std::size_t { return length; }
auto Token::set_length(int len) -> void { this->length = len; }

} // namespace compiler::frontend
